# Simple-ImGui-Setup

A ready-to-use project that uses [*Dear ImGui*](https://github.com/ocornut/imgui) with *glfw* and *OpenGL3* as backends.

It is meant for you to copy-paste and use as a starting point for your own projects.

## Cloning

You must do a **recursive** clone because we use submodules:

```
git clone --recursive https://gitlab.com/lucas29.david/drawing-app-imgui
```

## Compiling

You need to install [CMake](https://cmake.org/download/).

To use CMake I recommend this VSCode extension: [ms-vscode.cmake-tools](https://marketplace.visualstudio.com/items?itemName=ms-vscode.cmake-tools). You will need to setup the extension with a compiler: [Here is a tutorial](https://julesfouchy.github.io/Learn--Clean-Code-With-Cpp/lessons/install-a-compiler/).


Lessons level 1 & 2 read.
